| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__GetSubscriberListEntry Struct Reference
Subscriber

Get Subscriber List Entry. More...

`#include <osv-if-doc.h>`

## Public Attributes
unsp__ServiceId | ServiceId
| Subscriber Service ID. More...
enum unsp__ServiceIdType | ServiceIdType
| Service ID Type. More...
unsp__BGName | BGName
| Business Group. More...
wchar_t * | BGLineName
| BG Line Name. More...
wchar_t * | UnicodeBGLineName
| Unicode BG Line Name. More...
int * | CpuId
| Call Pickup Group ID. More...
wchar_t * | CpuName
| Call Pickup Group Name. More...
char * | Extension
| Extension. More...
unsp__BGDeptName | BGDeptName
| Billing BG Department. More...
unsp__BGDeptName | BGEmergencyDeptName
| Emergency BG Department. More...
wchar_t * | displayName
| Display Name. More...
struct unsp__FeatureProfileId * | FeatureProfileId
| Feature Profile ID. More...
unsp__NumberPlanName | NumberPlanName
| Number Plan Name. More...
xsd__boolean * | MlhgOwner
| Indicates whether the subscriber is an MLHG Pilot. More...
xsd__boolean * | MlhgMember
| Indicates whether the subscriber is an MLHG member. More...
enum unsp__KeysetUse * | KeysetUse
| Keyset Use. More...
struct unsp__OfficeCodeParts * | OfficeCode
| Office Code Information. More...
xsd__boolean * | ExternalDNFlag
| Indicates whether the subscriber is an External DN. More...
unsp__ServiceId | ExternalCallerID
| External Caller ID. More...
char * | BOName
| Branch Office Name. More...
xsd__boolean * | MobileDN
| Indicates whether the subscriber is a Mobile DN. More...
char * | AssociatedEndpointIP
| The IP Address of the associated Endpoint. More...
enum unsp__TransportType * | TransportType
| Transport Type. More...
struct unsp__RGSIPSecurity * | SIPSecurity
| SIP Security Information. More...
struct unsp__FeatureInfo * | FeatureInfo
| Feature Information. More...
xsd__boolean * | MainDevice
| Indicates whether the subscriber a Main Device of a Mobile DN. More...
struct unsp__HuntGroupInfoList * | HuntGroupInfoList
| ML Hunt Group Information. More...
xsd__int * | OutgoingCallSupervisionTimer
| Outgoing Call Supervision Timer. More...
enum unsp__SubscriberProvisionedLicenseType * | SubscriberProvisionedLicenseType
| Provisioned license type (Dynamic,essential, basic). More...
xsd__boolean * | OndOnlyClient
| Flags the subscriber as an OND Only Client Device and requires an ONS subscriber to be bound to required: false default value[range]: false. More...
char * | OnsSubscriber
| The ONS subscriber bound to an OND Only subscriber, mandatory when OndOnlyClient flag is true required: false default value[range]: NA [1..15]. More...
xsd__boolean * | ZoomUser
| Indicates wether a subscriber is Zoom User required: false default value[range]: false. More...

## Detailed Description

Get Subscriber List Entry.

## Member Data Documentation

## ◆ AssociatedEndpointIP

char* unsp__GetSubscriberListEntry::AssociatedEndpointIP

The IP Address of the associated Endpoint.

default value[range]: NA

## ◆ BGDeptName

unsp__BGDeptName unsp__GetSubscriberListEntry::BGDeptName

Billing BG Department.

See also
  unsp__BGDeptName

## ◆ BGEmergencyDeptName

unsp__BGDeptName unsp__GetSubscriberListEntry::BGEmergencyDeptName

Emergency BG Department.

See also
  unsp__BGDeptName

## ◆ BGLineName

wchar_t* unsp__GetSubscriberListEntry::BGLineName

BG Line Name.

default value[range]: NA [1..60]

## ◆ BGName

unsp__BGName unsp__GetSubscriberListEntry::BGName

Business Group.

See also
  unsp__BGName

## ◆ BOName

char* unsp__GetSubscriberListEntry::BOName

Branch Office Name.

See also
  unsp__BOName

## ◆ CpuId

int* unsp__GetSubscriberListEntry::CpuId

Call Pickup Group ID.

default value[range]: NA

## ◆ CpuName

wchar_t* unsp__GetSubscriberListEntry::CpuName

Call Pickup Group Name.

default value[range]: NA

## ◆ displayName

wchar_t* unsp__GetSubscriberListEntry::displayName

Display Name.

default value[range]: NA [1..60]

## ◆ Extension

char* unsp__GetSubscriberListEntry::Extension

Extension.

default value[range]: NA

## ◆ ExternalCallerID

unsp__ServiceId unsp__GetSubscriberListEntry::ExternalCallerID

External Caller ID.

default value[range]: NA

## ◆ ExternalDNFlag

xsd__boolean* unsp__GetSubscriberListEntry::ExternalDNFlag

Indicates whether the subscriber is an External DN.

default value[range]: NA

## ◆ FeatureInfo

struct unsp__FeatureInfo* unsp__GetSubscriberListEntry::FeatureInfo

Feature Information.

## ◆ FeatureProfileId

struct unsp__FeatureProfileId* unsp__GetSubscriberListEntry::FeatureProfileId

Feature Profile ID.

## ◆ HuntGroupInfoList

struct unsp__HuntGroupInfoList* unsp__GetSubscriberListEntry::HuntGroupInfoList

ML Hunt Group Information.

## ◆ KeysetUse

enum unsp__KeysetUse* unsp__GetSubscriberListEntry::KeysetUse

Keyset Use.

default value[range]: NA

## ◆ MainDevice

xsd__boolean* unsp__GetSubscriberListEntry::MainDevice

Indicates whether the subscriber a Main Device of a Mobile DN.

default value[range]: NA

## ◆ MlhgMember

xsd__boolean* unsp__GetSubscriberListEntry::MlhgMember

Indicates whether the subscriber is an MLHG member.

default value[range]: NA

## ◆ MlhgOwner

xsd__boolean* unsp__GetSubscriberListEntry::MlhgOwner

Indicates whether the subscriber is an MLHG Pilot.

default value[range]: NA

## ◆ MobileDN

xsd__boolean* unsp__GetSubscriberListEntry::MobileDN

Indicates whether the subscriber is a Mobile DN.

default value[range]: NA

## ◆ NumberPlanName

unsp__NumberPlanName unsp__GetSubscriberListEntry::NumberPlanName

Number Plan Name.

See also
  unsp__NumberPlanName

## ◆ OfficeCode

struct unsp__OfficeCodeParts* unsp__GetSubscriberListEntry::OfficeCode

Office Code Information.

default value[range]: NA

## ◆ OndOnlyClient

xsd__boolean* unsp__GetSubscriberListEntry::OndOnlyClient

Flags the subscriber as an OND Only Client Device and requires an ONS subscriber to be bound to
required: false
default value[range]: false.

## ◆ OnsSubscriber

char* unsp__GetSubscriberListEntry::OnsSubscriber

The ONS subscriber bound to an OND Only subscriber, mandatory when OndOnlyClient flag is true
required: false
default value[range]: NA [1..15].

## ◆ OutgoingCallSupervisionTimer

xsd__int* unsp__GetSubscriberListEntry::OutgoingCallSupervisionTimer

Outgoing Call Supervision Timer.

default value[range]: NA

## ◆ ServiceId

unsp__ServiceId unsp__GetSubscriberListEntry::ServiceId

Subscriber Service ID.

See also
  unsp__ServiceId

## ◆ ServiceIdType

enum unsp__ServiceIdType unsp__GetSubscriberListEntry::ServiceIdType

Service ID Type.

## ◆ SIPSecurity

struct unsp__RGSIPSecurity* unsp__GetSubscriberListEntry::SIPSecurity

SIP Security Information.

default value[range]: NA

## ◆ SubscriberProvisionedLicenseType

enum unsp__SubscriberProvisionedLicenseType* unsp__GetSubscriberListEntry::SubscriberProvisionedLicenseType

Provisioned license type (Dynamic,essential, basic).

required: false
default value[range]: NA

## ◆ TransportType

enum unsp__TransportType* unsp__GetSubscriberListEntry::TransportType

Transport Type.

default value[range]: NA

## ◆ UnicodeBGLineName

wchar_t* unsp__GetSubscriberListEntry::UnicodeBGLineName

Unicode BG Line Name.

default value[range]: NA [1..24]

## ◆ ZoomUser

xsd__boolean* unsp__GetSubscriberListEntry::ZoomUser

Indicates wether a subscriber is Zoom User
required: false
default value[range]: false.

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h